/* (C) 2008 YOOtheme.com */

var YOOTools = {
		
	start: function() {
		
		/* Match height of div tags */
		YOOTools.setDivHeight();

		/* Add span to header */
		YOOBase.addHeaderSpan('#left div.module-headline h3, #right div.module-headline h3');

		/* Menu color settings */
		var page = $('page');		
		
		/* color default */
		var currentColor = '#232323';
		var leaveColor = '#141414';
		
		/* color white */
		if ((YtSettings.color == 'xray') || (YtSettings.color == 'desktop') || (YtSettings.color == 'black')) {
			currentColor = '#e6e9eb'; 
			leaveColor = '#ffffff';
		}

		/* Accordion menu */
		new YOOAccordionMenu('div#middle ul.menu li.toggler', 'ul.accordion', { accordion: 'slide' });

		/* Fancy menu */
		new YOOFancyMenu($E('ul', 'menu'), { mode: 'slide', transition: Fx.Transitions.Bounce.easeOut, duration: 700 });

		/* Dropdown menu */
		new YOODropdownMenu('div#menu li.parent');

		/* Main menu */
		var menuEnter = { 'background-color': currentColor };
		var menuLeave = { 'background-color': leaveColor };
		
		new YOOMorph('div#menu li.level2 a, div#menu li.level2 span.separator', menuEnter, menuLeave,
			{ transition: Fx.Transitions.expoOut, duration: 300 },
			{ transition: Fx.Transitions.sineIn, duration: 500 });
		
		/* Sub menu all levels */
		var submenuEnter = { 'background-color': currentColor };
		var submenuLeave = { 'background-color': leaveColor };

		new YOOMorph('div#middle ul.menu a, div#middle ul.menu span.separator', submenuEnter, submenuLeave,
			{ transition: Fx.Transitions.expoOut, duration: 300 },
			{ transition: Fx.Transitions.sineIn, duration: 500 });
		
		/* Module color settings */
		currentColor = '#321414';
		leaveColor = '#1E1E1E';
		
		/* theme lighting */
		if (page.hasClass('blue'))   currentColor = '#0F283C';
		if (page.hasClass('pink'))   currentColor = '#2D1432';
		if (page.hasClass('orange')) currentColor = '#372814';
		if (page.hasClass('green'))  currentColor = '#232D14';
		
		/* color gold */
		if (YtSettings.color == 'gold') currentColor = '#372d19';
		
		/* color ocean */
		if (YtSettings.color == 'ocean') currentColor = '#193237'; 

		/* color white */
		if ((YtSettings.color == 'xray') || (YtSettings.color == 'desktop') || (YtSettings.color == 'black')) {
			currentColor = '#F0D7D7';
			leaveColor = '#F0F2F5';
			
			/* theme lighting */
			if (page.hasClass('blue'))   currentColor = '#D7E6F5';
			if (page.hasClass('pink'))   currentColor = '#E1EBD7';
			if (page.hasClass('orange')) currentColor = '#F0E6DC';
			if (page.hasClass('green'))  currentColor = '#F0E1F0';
			
			/* xray gold */
			if (YtSettings.color == 'xray') currentColor = '#cdd2e1';
			
			/* black ocean */
			if (YtSettings.color == 'black') currentColor = '#c8cad2'; 
		}

		/* Modules */
		var moduleEnter = { 'background-color': currentColor };
		var moduleLeave = { 'background-color': leaveColor };
		
		new YOOMorph('div#top div.module-light, div#bottom div.module-light', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.expoOut, duration: 400 },
			{ transition: Fx.Transitions.sineIn, duration: 500 });
		
		/* Style switcher */
		new YOOStyleSwitcher($ES('.wrapper'), { 
			widthDefault: YtSettings.widthDefault,
			widthThinPx: YtSettings.widthThinPx,
			widthWidePx: YtSettings.widthWidePx,
			widthFluidPx: YtSettings.widthFluidPx,
			afterSwitch: YOOTools.setDivHeight,
			transition: Fx.Transitions.expoOut,
			duration: 500
		});		
		
		/* Smoothscroll */
		new SmoothScroll({ duration: 500, transition: Fx.Transitions.Expo.easeOut });
	},

	/* Match height of div tags */
	setDivHeight: function() {
		YOOBase.matchDivHeight('div.topbox div div div div', 0, 40);
		YOOBase.matchDivHeight('div.bottombox div div div div', 0, 40);
		YOOBase.matchDivHeight('div.maintopbox div div div div', 0, 40);
		YOOBase.matchDivHeight('div.mainbottombox div div div div', 0, 40);
		YOOBase.matchDivHeight('div.contenttopbox div div div div', 0, 40);
		YOOBase.matchDivHeight('div.contentbottombox div div div div', 0, 40);
	}

};

/* Add functions on window load */
window.addEvent('load', YOOTools.start);